vty-5.15.1: A simple terminal UI library

Safe Haskell | None
Language | Haskell2010

Graphics.Vty.Debug

# Documentation

rowOpsEffectedColumns :: DisplayOps -> [Int] #

allSpansHaveWidth :: DisplayOps -> Int -> Bool #

spanOpsEffectedRows :: DisplayOps -> Int #

type SpanConstructLog = [SpanConstructEvent] #

data SpanConstructEvent #

Constructors

SpanSetAttr Attr |

isSetAttr :: Attr -> SpanConstructEvent -> Bool #

data MockWindow #

Constructors

MockWindow Int Int |

Instances

Eq MockWindow # |
Methods (==) :: MockWindow -> MockWindow -> Bool # (/=) :: MockWindow -> MockWindow -> Bool #
Show MockWindow # |
Methods showsPrec :: Int -> MockWindow -> ShowS # show :: MockWindow -> String # showList :: [MockWindow] -> ShowS #

regionForWindow :: MockWindow -> DisplayRegion #

type ImageConstructLog = [ImageConstructEvent] #

data ImageConstructEvent #

Constructors

ImageConstructEvent |

Instances

Eq ImageConstructEvent # |
Methods (==) :: ImageConstructEvent -> ImageConstructEvent -> Bool # (/=) :: ImageConstructEvent -> ImageConstructEvent -> Bool #
Show ImageConstructEvent # |
Methods showsPrec :: Int -> ImageConstructEvent -> ShowS # show :: ImageConstructEvent -> String # showList :: [ImageConstructEvent] -> ShowS #

forwardImageOps :: [Image -> Image] #

forwardTransform :: ImageOp -> Image -> Image #

reverseTransform :: ImageOp -> Image -> Image #

data ImageOp #

Constructors

ImageOp ImageEndo ImageEndo |

type ImageEndo = Image -> Image #

debugImageOps :: [ImageOp] #

idImageOp :: ImageOp #